# IpAddress Class Reference
[IP related utilities]

Inheritance diagram for IpAddress:
[legend]

List of all members.

## Public Member Functions

| __construct ($ip)
| setIp ($ip)
| getLongIp ()
| toString ()
| toSignedInt ()

## Static Public Member Functions

static | create ($ip)

## Private Attributes

| $longIp = null

## Detailed Description

Definition at line 15 of file IpAddress.class.php.

## Constructor & Destructor Documentation

IpAddress::__construct | ( | $ | ip | ) |

Definition at line 27 of file IpAddress.class.php.

References setIp().

Here is the call graph for this function:

## Member Function Documentation

static IpAddress::create | ( | $ | ip | ) | `[static]`

Returns:
  IpAddress

Definition at line 22 of file IpAddress.class.php.

IpAddress::getLongIp | ( |  | ) |

Definition at line 47 of file IpAddress.class.php.

Referenced by IpRange::__construct(), and IpNetwork::__construct().

IpAddress::setIp | ( | $ | ip | ) |

Returns:
  IpAddress

Definition at line 35 of file IpAddress.class.php.

Referenced by __construct().

IpAddress::toSignedInt | ( |  | ) |

Definition at line 57 of file IpAddress.class.php.

References TypesUtils::unsignedToSigned().

Here is the call graph for this function:

IpAddress::toString | ( |  | ) |

Implements Stringable.

Definition at line 52 of file IpAddress.class.php.

## Member Data Documentation

IpAddress::$longIp = null`[private]`

Definition at line 17 of file IpAddress.class.php.

The documentation for this class was generated from the following file:

- main/Net/Ip/IpAddress.class.php